fangmingyue 2 år sedan
incheckning
86130a8448

+ 33
- 0
.gitignore Visa fil

@@ -0,0 +1,33 @@
1
+HELP.md
2
+target/
3
+!.mvn/wrapper/maven-wrapper.jar
4
+!**/src/main/**/target/
5
+!**/src/test/**/target/
6
+
7
+### STS ###
8
+.apt_generated
9
+.classpath
10
+.factorypath
11
+.project
12
+.settings
13
+.springBeans
14
+.sts4-cache
15
+
16
+### IntelliJ IDEA ###
17
+.idea
18
+*.iws
19
+*.iml
20
+*.ipr
21
+
22
+### NetBeans ###
23
+/nbproject/private/
24
+/nbbuild/
25
+/dist/
26
+/nbdist/
27
+/.nb-gradle/
28
+build/
29
+!**/src/main/**/build/
30
+!**/src/test/**/build/
31
+
32
+### VS Code ###
33
+.vscode/

Binär
.mvn/wrapper/maven-wrapper.jar Visa fil


+ 2
- 0
.mvn/wrapper/maven-wrapper.properties Visa fil

@@ -0,0 +1,2 @@
1
+distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.8.6/apache-maven-3.8.6-bin.zip
2
+wrapperUrl=https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar

+ 316
- 0
mvnw Visa fil

@@ -0,0 +1,316 @@
1
+#!/bin/sh
2
+# ----------------------------------------------------------------------------
3
+# Licensed to the Apache Software Foundation (ASF) under one
4
+# or more contributor license agreements.  See the NOTICE file
5
+# distributed with this work for additional information
6
+# regarding copyright ownership.  The ASF licenses this file
7
+# to you under the Apache License, Version 2.0 (the
8
+# "License"); you may not use this file except in compliance
9
+# with the License.  You may obtain a copy of the License at
10
+#
11
+#    https://www.apache.org/licenses/LICENSE-2.0
12
+#
13
+# Unless required by applicable law or agreed to in writing,
14
+# software distributed under the License is distributed on an
15
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
16
+# KIND, either express or implied.  See the License for the
17
+# specific language governing permissions and limitations
18
+# under the License.
19
+# ----------------------------------------------------------------------------
20
+
21
+# ----------------------------------------------------------------------------
22
+# Maven Start Up Batch script
23
+#
24
+# Required ENV vars:
25
+# ------------------
26
+#   JAVA_HOME - location of a JDK home dir
27
+#
28
+# Optional ENV vars
29
+# -----------------
30
+#   M2_HOME - location of maven2's installed home dir
31
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
32
+#     e.g. to debug Maven itself, use
33
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
34
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
35
+# ----------------------------------------------------------------------------
36
+
37
+if [ -z "$MAVEN_SKIP_RC" ] ; then
38
+
39
+  if [ -f /usr/local/etc/mavenrc ] ; then
40
+    . /usr/local/etc/mavenrc
41
+  fi
42
+
43
+  if [ -f /etc/mavenrc ] ; then
44
+    . /etc/mavenrc
45
+  fi
46
+
47
+  if [ -f "$HOME/.mavenrc" ] ; then
48
+    . "$HOME/.mavenrc"
49
+  fi
50
+
51
+fi
52
+
53
+# OS specific support.  $var _must_ be set to either true or false.
54
+cygwin=false;
55
+darwin=false;
56
+mingw=false
57
+case "`uname`" in
58
+  CYGWIN*) cygwin=true ;;
59
+  MINGW*) mingw=true;;
60
+  Darwin*) darwin=true
61
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
62
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
63
+    if [ -z "$JAVA_HOME" ]; then
64
+      if [ -x "/usr/libexec/java_home" ]; then
65
+        export JAVA_HOME="`/usr/libexec/java_home`"
66
+      else
67
+        export JAVA_HOME="/Library/Java/Home"
68
+      fi
69
+    fi
70
+    ;;
71
+esac
72
+
73
+if [ -z "$JAVA_HOME" ] ; then
74
+  if [ -r /etc/gentoo-release ] ; then
75
+    JAVA_HOME=`java-config --jre-home`
76
+  fi
77
+fi
78
+
79
+if [ -z "$M2_HOME" ] ; then
80
+  ## resolve links - $0 may be a link to maven's home
81
+  PRG="$0"
82
+
83
+  # need this for relative symlinks
84
+  while [ -h "$PRG" ] ; do
85
+    ls=`ls -ld "$PRG"`
86
+    link=`expr "$ls" : '.*-> \(.*\)$'`
87
+    if expr "$link" : '/.*' > /dev/null; then
88
+      PRG="$link"
89
+    else
90
+      PRG="`dirname "$PRG"`/$link"
91
+    fi
92
+  done
93
+
94
+  saveddir=`pwd`
95
+
96
+  M2_HOME=`dirname "$PRG"`/..
97
+
98
+  # make it fully qualified
99
+  M2_HOME=`cd "$M2_HOME" && pwd`
100
+
101
+  cd "$saveddir"
102
+  # echo Using m2 at $M2_HOME
103
+fi
104
+
105
+# For Cygwin, ensure paths are in UNIX format before anything is touched
106
+if $cygwin ; then
107
+  [ -n "$M2_HOME" ] &&
108
+    M2_HOME=`cygpath --unix "$M2_HOME"`
109
+  [ -n "$JAVA_HOME" ] &&
110
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
111
+  [ -n "$CLASSPATH" ] &&
112
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
113
+fi
114
+
115
+# For Mingw, ensure paths are in UNIX format before anything is touched
116
+if $mingw ; then
117
+  [ -n "$M2_HOME" ] &&
118
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
119
+  [ -n "$JAVA_HOME" ] &&
120
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
121
+fi
122
+
123
+if [ -z "$JAVA_HOME" ]; then
124
+  javaExecutable="`which javac`"
125
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
126
+    # readlink(1) is not available as standard on Solaris 10.
127
+    readLink=`which readlink`
128
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
129
+      if $darwin ; then
130
+        javaHome="`dirname \"$javaExecutable\"`"
131
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
132
+      else
133
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
134
+      fi
135
+      javaHome="`dirname \"$javaExecutable\"`"
136
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
137
+      JAVA_HOME="$javaHome"
138
+      export JAVA_HOME
139
+    fi
140
+  fi
141
+fi
142
+
143
+if [ -z "$JAVACMD" ] ; then
144
+  if [ -n "$JAVA_HOME"  ] ; then
145
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
146
+      # IBM's JDK on AIX uses strange locations for the executables
147
+      JAVACMD="$JAVA_HOME/jre/sh/java"
148
+    else
149
+      JAVACMD="$JAVA_HOME/bin/java"
150
+    fi
151
+  else
152
+    JAVACMD="`\\unset -f command; \\command -v java`"
153
+  fi
154
+fi
155
+
156
+if [ ! -x "$JAVACMD" ] ; then
157
+  echo "Error: JAVA_HOME is not defined correctly." >&2
158
+  echo "  We cannot execute $JAVACMD" >&2
159
+  exit 1
160
+fi
161
+
162
+if [ -z "$JAVA_HOME" ] ; then
163
+  echo "Warning: JAVA_HOME environment variable is not set."
164
+fi
165
+
166
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
167
+
168
+# traverses directory structure from process work directory to filesystem root
169
+# first directory with .mvn subdirectory is considered project base directory
170
+find_maven_basedir() {
171
+
172
+  if [ -z "$1" ]
173
+  then
174
+    echo "Path not specified to find_maven_basedir"
175
+    return 1
176
+  fi
177
+
178
+  basedir="$1"
179
+  wdir="$1"
180
+  while [ "$wdir" != '/' ] ; do
181
+    if [ -d "$wdir"/.mvn ] ; then
182
+      basedir=$wdir
183
+      break
184
+    fi
185
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
186
+    if [ -d "${wdir}" ]; then
187
+      wdir=`cd "$wdir/.."; pwd`
188
+    fi
189
+    # end of workaround
190
+  done
191
+  echo "${basedir}"
192
+}
193
+
194
+# concatenates all lines of a file
195
+concat_lines() {
196
+  if [ -f "$1" ]; then
197
+    echo "$(tr -s '\n' ' ' < "$1")"
198
+  fi
199
+}
200
+
201
+BASE_DIR=`find_maven_basedir "$(pwd)"`
202
+if [ -z "$BASE_DIR" ]; then
203
+  exit 1;
204
+fi
205
+
206
+##########################################################################################
207
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
208
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
209
+##########################################################################################
210
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
211
+    if [ "$MVNW_VERBOSE" = true ]; then
212
+      echo "Found .mvn/wrapper/maven-wrapper.jar"
213
+    fi
214
+else
215
+    if [ "$MVNW_VERBOSE" = true ]; then
216
+      echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
217
+    fi
218
+    if [ -n "$MVNW_REPOURL" ]; then
219
+      jarUrl="$MVNW_REPOURL/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
220
+    else
221
+      jarUrl="https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
222
+    fi
223
+    while IFS="=" read key value; do
224
+      case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
225
+      esac
226
+    done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
227
+    if [ "$MVNW_VERBOSE" = true ]; then
228
+      echo "Downloading from: $jarUrl"
229
+    fi
230
+    wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
231
+    if $cygwin; then
232
+      wrapperJarPath=`cygpath --path --windows "$wrapperJarPath"`
233
+    fi
234
+
235
+    if command -v wget > /dev/null; then
236
+        if [ "$MVNW_VERBOSE" = true ]; then
237
+          echo "Found wget ... using wget"
238
+        fi
239
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
240
+            wget "$jarUrl" -O "$wrapperJarPath" || rm -f "$wrapperJarPath"
241
+        else
242
+            wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath" || rm -f "$wrapperJarPath"
243
+        fi
244
+    elif command -v curl > /dev/null; then
245
+        if [ "$MVNW_VERBOSE" = true ]; then
246
+          echo "Found curl ... using curl"
247
+        fi
248
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
249
+            curl -o "$wrapperJarPath" "$jarUrl" -f
250
+        else
251
+            curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f
252
+        fi
253
+
254
+    else
255
+        if [ "$MVNW_VERBOSE" = true ]; then
256
+          echo "Falling back to using Java to download"
257
+        fi
258
+        javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
259
+        # For Cygwin, switch paths to Windows format before running javac
260
+        if $cygwin; then
261
+          javaClass=`cygpath --path --windows "$javaClass"`
262
+        fi
263
+        if [ -e "$javaClass" ]; then
264
+            if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
265
+                if [ "$MVNW_VERBOSE" = true ]; then
266
+                  echo " - Compiling MavenWrapperDownloader.java ..."
267
+                fi
268
+                # Compiling the Java class
269
+                ("$JAVA_HOME/bin/javac" "$javaClass")
270
+            fi
271
+            if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
272
+                # Running the downloader
273
+                if [ "$MVNW_VERBOSE" = true ]; then
274
+                  echo " - Running MavenWrapperDownloader.java ..."
275
+                fi
276
+                ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
277
+            fi
278
+        fi
279
+    fi
280
+fi
281
+##########################################################################################
282
+# End of extension
283
+##########################################################################################
284
+
285
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
286
+if [ "$MVNW_VERBOSE" = true ]; then
287
+  echo $MAVEN_PROJECTBASEDIR
288
+fi
289
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
290
+
291
+# For Cygwin, switch paths to Windows format before running java
292
+if $cygwin; then
293
+  [ -n "$M2_HOME" ] &&
294
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
295
+  [ -n "$JAVA_HOME" ] &&
296
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
297
+  [ -n "$CLASSPATH" ] &&
298
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
299
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
300
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
301
+fi
302
+
303
+# Provide a "standardized" way to retrieve the CLI args that will
304
+# work with both Windows and non-Windows executions.
305
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
306
+export MAVEN_CMD_LINE_ARGS
307
+
308
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
309
+
310
+exec "$JAVACMD" \
311
+  $MAVEN_OPTS \
312
+  $MAVEN_DEBUG_OPTS \
313
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
314
+  "-Dmaven.home=${M2_HOME}" \
315
+  "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
316
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 188
- 0
mvnw.cmd Visa fil

@@ -0,0 +1,188 @@
1
+@REM ----------------------------------------------------------------------------
2
+@REM Licensed to the Apache Software Foundation (ASF) under one
3
+@REM or more contributor license agreements.  See the NOTICE file
4
+@REM distributed with this work for additional information
5
+@REM regarding copyright ownership.  The ASF licenses this file
6
+@REM to you under the Apache License, Version 2.0 (the
7
+@REM "License"); you may not use this file except in compliance
8
+@REM with the License.  You may obtain a copy of the License at
9
+@REM
10
+@REM    https://www.apache.org/licenses/LICENSE-2.0
11
+@REM
12
+@REM Unless required by applicable law or agreed to in writing,
13
+@REM software distributed under the License is distributed on an
14
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
15
+@REM KIND, either express or implied.  See the License for the
16
+@REM specific language governing permissions and limitations
17
+@REM under the License.
18
+@REM ----------------------------------------------------------------------------
19
+
20
+@REM ----------------------------------------------------------------------------
21
+@REM Maven Start Up Batch script
22
+@REM
23
+@REM Required ENV vars:
24
+@REM JAVA_HOME - location of a JDK home dir
25
+@REM
26
+@REM Optional ENV vars
27
+@REM M2_HOME - location of maven2's installed home dir
28
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
29
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending
30
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
31
+@REM     e.g. to debug Maven itself, use
32
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
33
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
34
+@REM ----------------------------------------------------------------------------
35
+
36
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
37
+@echo off
38
+@REM set title of command window
39
+title %0
40
+@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on'
41
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
42
+
43
+@REM set %HOME% to equivalent of $HOME
44
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
45
+
46
+@REM Execute a user defined script before this one
47
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
48
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
49
+if exist "%USERPROFILE%\mavenrc_pre.bat" call "%USERPROFILE%\mavenrc_pre.bat" %*
50
+if exist "%USERPROFILE%\mavenrc_pre.cmd" call "%USERPROFILE%\mavenrc_pre.cmd" %*
51
+:skipRcPre
52
+
53
+@setlocal
54
+
55
+set ERROR_CODE=0
56
+
57
+@REM To isolate internal variables from possible post scripts, we use another setlocal
58
+@setlocal
59
+
60
+@REM ==== START VALIDATION ====
61
+if not "%JAVA_HOME%" == "" goto OkJHome
62
+
63
+echo.
64
+echo Error: JAVA_HOME not found in your environment. >&2
65
+echo Please set the JAVA_HOME variable in your environment to match the >&2
66
+echo location of your Java installation. >&2
67
+echo.
68
+goto error
69
+
70
+:OkJHome
71
+if exist "%JAVA_HOME%\bin\java.exe" goto init
72
+
73
+echo.
74
+echo Error: JAVA_HOME is set to an invalid directory. >&2
75
+echo JAVA_HOME = "%JAVA_HOME%" >&2
76
+echo Please set the JAVA_HOME variable in your environment to match the >&2
77
+echo location of your Java installation. >&2
78
+echo.
79
+goto error
80
+
81
+@REM ==== END VALIDATION ====
82
+
83
+:init
84
+
85
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
86
+@REM Fallback to current working directory if not found.
87
+
88
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
89
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
90
+
91
+set EXEC_DIR=%CD%
92
+set WDIR=%EXEC_DIR%
93
+:findBaseDir
94
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
95
+cd ..
96
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
97
+set WDIR=%CD%
98
+goto findBaseDir
99
+
100
+:baseDirFound
101
+set MAVEN_PROJECTBASEDIR=%WDIR%
102
+cd "%EXEC_DIR%"
103
+goto endDetectBaseDir
104
+
105
+:baseDirNotFound
106
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
107
+cd "%EXEC_DIR%"
108
+
109
+:endDetectBaseDir
110
+
111
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
112
+
113
+@setlocal EnableExtensions EnableDelayedExpansion
114
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
115
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
116
+
117
+:endReadAdditionalConfig
118
+
119
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
120
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
121
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
122
+
123
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
124
+
125
+FOR /F "usebackq tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO (
126
+    IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
127
+)
128
+
129
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
130
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
131
+if exist %WRAPPER_JAR% (
132
+    if "%MVNW_VERBOSE%" == "true" (
133
+        echo Found %WRAPPER_JAR%
134
+    )
135
+) else (
136
+    if not "%MVNW_REPOURL%" == "" (
137
+        SET DOWNLOAD_URL="%MVNW_REPOURL%/org/apache/maven/wrapper/maven-wrapper/3.1.0/maven-wrapper-3.1.0.jar"
138
+    )
139
+    if "%MVNW_VERBOSE%" == "true" (
140
+        echo Couldn't find %WRAPPER_JAR%, downloading it ...
141
+        echo Downloading from: %DOWNLOAD_URL%
142
+    )
143
+
144
+    powershell -Command "&{"^
145
+		"$webclient = new-object System.Net.WebClient;"^
146
+		"if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^
147
+		"$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^
148
+		"}"^
149
+		"[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^
150
+		"}"
151
+    if "%MVNW_VERBOSE%" == "true" (
152
+        echo Finished downloading %WRAPPER_JAR%
153
+    )
154
+)
155
+@REM End of extension
156
+
157
+@REM Provide a "standardized" way to retrieve the CLI args that will
158
+@REM work with both Windows and non-Windows executions.
159
+set MAVEN_CMD_LINE_ARGS=%*
160
+
161
+%MAVEN_JAVA_EXE% ^
162
+  %JVM_CONFIG_MAVEN_PROPS% ^
163
+  %MAVEN_OPTS% ^
164
+  %MAVEN_DEBUG_OPTS% ^
165
+  -classpath %WRAPPER_JAR% ^
166
+  "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" ^
167
+  %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
168
+if ERRORLEVEL 1 goto error
169
+goto end
170
+
171
+:error
172
+set ERROR_CODE=1
173
+
174
+:end
175
+@endlocal & set ERROR_CODE=%ERROR_CODE%
176
+
177
+if not "%MAVEN_SKIP_RC%"=="" goto skipRcPost
178
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
179
+if exist "%USERPROFILE%\mavenrc_post.bat" call "%USERPROFILE%\mavenrc_post.bat"
180
+if exist "%USERPROFILE%\mavenrc_post.cmd" call "%USERPROFILE%\mavenrc_post.cmd"
181
+:skipRcPost
182
+
183
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
184
+if "%MAVEN_BATCH_PAUSE%"=="on" pause
185
+
186
+if "%MAVEN_TERMINATE_CMD%"=="on" exit %ERROR_CODE%
187
+
188
+cmd /C exit /B %ERROR_CODE%

+ 91
- 0
pom.xml Visa fil

@@ -0,0 +1,91 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
3
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
4
+	<modelVersion>4.0.0</modelVersion>
5
+	<parent>
6
+		<groupId>org.springframework.boot</groupId>
7
+		<artifactId>spring-boot-starter-parent</artifactId>
8
+		<version>2.7.3</version>
9
+		<relativePath/> <!-- lookup parent from repository -->
10
+	</parent>
11
+	<groupId>com.yunzhi</groupId>
12
+	<artifactId>inte</artifactId>
13
+	<version>0.0.1-SNAPSHOT</version>
14
+	<name>inte</name>
15
+	<description>Demo project for Spring Boot</description>
16
+	<properties>
17
+		<java.version>1.8</java.version>
18
+	</properties>
19
+	<dependencies>
20
+		<dependency>
21
+			<groupId>org.springframework.boot</groupId>
22
+			<artifactId>spring-boot-starter-web</artifactId>
23
+		</dependency>
24
+		<dependency>
25
+			<groupId>com.alibaba</groupId>
26
+			<artifactId>fastjson</artifactId>
27
+			<version>1.2.4</version>
28
+		</dependency>
29
+		<!--mybaits-->
30
+		<dependency>
31
+			<groupId>org.mybatis.spring.boot</groupId>
32
+			<artifactId>mybatis-spring-boot-starter</artifactId>
33
+			<version>2.0.1</version>
34
+		</dependency>
35
+		<dependency>
36
+			<groupId>p6spy</groupId>
37
+			<artifactId>p6spy</artifactId>
38
+			<version>3.8.7</version>
39
+		</dependency>
40
+		<!-- sqlite3驱动包 -->
41
+		<dependency>
42
+			<groupId>org.xerial</groupId>
43
+			<artifactId>sqlite-jdbc</artifactId>
44
+			<version>3.27.2.1</version>
45
+		</dependency>
46
+		<dependency>
47
+			<groupId>com.baomidou</groupId>
48
+			<artifactId>mybatis-plus-boot-starter</artifactId>
49
+			<version>3.2.0</version>
50
+		</dependency>
51
+<!--		<dependency>-->
52
+<!--			<groupId>com.github.pagehelper</groupId>-->
53
+<!--			<artifactId>pagehelper</artifactId>-->
54
+<!--			<version>5.2.1</version>-->
55
+<!--		</dependency>-->
56
+
57
+		<dependency>
58
+			<groupId>mysql</groupId>
59
+			<artifactId>mysql-connector-java</artifactId>
60
+			<scope>runtime</scope>
61
+		</dependency>
62
+		<dependency>
63
+			<groupId>org.projectlombok</groupId>
64
+			<artifactId>lombok</artifactId>
65
+			<optional>true</optional>
66
+		</dependency>
67
+		<dependency>
68
+			<groupId>org.springframework.boot</groupId>
69
+			<artifactId>spring-boot-starter-test</artifactId>
70
+			<scope>test</scope>
71
+		</dependency>
72
+	</dependencies>
73
+
74
+	<build>
75
+		<plugins>
76
+			<plugin>
77
+				<groupId>org.springframework.boot</groupId>
78
+				<artifactId>spring-boot-maven-plugin</artifactId>
79
+				<configuration>
80
+					<excludes>
81
+						<exclude>
82
+							<groupId>org.projectlombok</groupId>
83
+							<artifactId>lombok</artifactId>
84
+						</exclude>
85
+					</excludes>
86
+				</configuration>
87
+			</plugin>
88
+		</plugins>
89
+	</build>
90
+
91
+</project>

+ 15
- 0
src/main/java/com/yunzhi/inte/InteApplication.java Visa fil

@@ -0,0 +1,15 @@
1
+package com.yunzhi.inte;
2
+
3
+import org.mybatis.spring.annotation.MapperScan;
4
+import org.springframework.boot.SpringApplication;
5
+import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
6
+import org.springframework.boot.autoconfigure.SpringBootApplication;
7
+
8
+@SpringBootApplication
9
+public class InteApplication {
10
+
11
+	public static void main(String[] args) {
12
+		SpringApplication.run(InteApplication.class, args);
13
+	}
14
+
15
+}

+ 85
- 0
src/main/java/com/yunzhi/inte/common/ResponseBean.java Visa fil

@@ -0,0 +1,85 @@
1
+package com.yunzhi.inte.common;
2
+
3
+import java.io.Serializable;
4
+
5
+/**
6
+ * 接口统一状态返回BEAN.
7
+ */
8
+public class ResponseBean<T> implements Serializable {
9
+
10
+    private static final long serialVersionUID = 3593827217136880822L;
11
+
12
+    public static final int CODE_SUCCESS = 1000;
13
+    public static final int ERROR_AUTH_FAIL = 1001;
14
+    public static final int ERROR_UNAUTHORIZED = 1002;
15
+    public static final int ERROR_MISSING_PARAMS = 1003;
16
+    public static final int ERROR_ILLEGAL_PARAMS = 1004;
17
+    public static final int ERROR_UNAVAILABLE = 1005;
18
+
19
+    private int code;
20
+    private String message;
21
+    private T data;
22
+
23
+    public ResponseBean() {
24
+        code = ResponseBean.CODE_SUCCESS;
25
+    }
26
+
27
+    public static <T> ResponseBean success(T data, String ...msgs) {
28
+        ResponseBean responseBean = new ResponseBean();
29
+        responseBean.code = ResponseBean.CODE_SUCCESS;
30
+        responseBean.data = data;
31
+
32
+        if (null != msgs && msgs.length > 0) {
33
+            responseBean.message = msgs[0];
34
+        }
35
+
36
+        return responseBean;
37
+    }
38
+
39
+
40
+    public static <T> ResponseBean error(String msg) {
41
+        ResponseBean responseBean = new ResponseBean();
42
+        responseBean.code = ERROR_ILLEGAL_PARAMS;
43
+        responseBean.message = msg;
44
+
45
+        return responseBean;
46
+    }
47
+
48
+    public static <T> ResponseBean error(String msg, int code, T ...datas) {
49
+        ResponseBean responseBean = new ResponseBean();
50
+        responseBean.code = code;
51
+        responseBean.message = msg;
52
+
53
+        if (null != datas && datas.length > 0) {
54
+            responseBean.data = datas[0];
55
+        }
56
+
57
+        return responseBean;
58
+    }
59
+
60
+    public int getCode() {
61
+        return code;
62
+    }
63
+    public void setCode(int code) {
64
+        this.code = code;
65
+    }
66
+
67
+    public String getMessage() {
68
+        return message;
69
+    }
70
+    public void setMessage(String message) {
71
+        this.message = message;
72
+    }
73
+
74
+    public T getData() {
75
+        return data;
76
+    }
77
+    public void setData(T data) {
78
+        this.data = data;
79
+    }
80
+    
81
+    @Override
82
+    public String toString() {
83
+        return  "{ code: "+code+", message: "+message+", data: <T> }";
84
+    }
85
+}

+ 17
- 0
src/main/java/com/yunzhi/inte/config/MybatisPlusConfig.java Visa fil

@@ -0,0 +1,17 @@
1
+package com.yunzhi.inte.config;
2
+
3
+import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
4
+import org.springframework.context.annotation.Bean;
5
+import org.springframework.context.annotation.Configuration;
6
+
7
+@Configuration
8
+public class MybatisPlusConfig {
9
+    /**
10
+     * 分页插件
11
+     */
12
+
13
+    @Bean
14
+    public PaginationInterceptor paginationInterceptor() {
15
+        return new PaginationInterceptor();
16
+    }
17
+}

+ 94
- 0
src/main/java/com/yunzhi/inte/controller/BannerController.java Visa fil

@@ -0,0 +1,94 @@
1
+package com.yunzhi.inte.controller;
2
+
3
+import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
4
+import com.baomidou.mybatisplus.core.metadata.IPage;
5
+import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
6
+import com.yunzhi.inte.common.ResponseBean;
7
+import com.yunzhi.inte.entity.Banner;
8
+import com.yunzhi.inte.entity.Info;
9
+import com.yunzhi.inte.service.BannerService;
10
+import org.slf4j.Logger;
11
+import org.slf4j.LoggerFactory;
12
+import org.springframework.beans.factory.annotation.Autowired;
13
+import org.springframework.web.bind.annotation.*;
14
+
15
+@RestController
16
+@RequestMapping("/")
17
+public class BannerController {
18
+    private final Logger logger = LoggerFactory.getLogger(InfoController.class);
19
+
20
+    @Autowired
21
+    public BannerService bannerService;
22
+
23
+    /**
24
+     * 分页查询列表
25
+     * @param pageNum
26
+     * @param pageSize
27
+     * @return
28
+     */
29
+    @RequestMapping(value="/banner",method= RequestMethod.GET)
30
+    public ResponseBean BannerPage(@RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
31
+                             @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception{
32
+
33
+        IPage<Banner> pg = new Page<>(pageNum, pageSize);
34
+        QueryWrapper<Info> queryWrapper = new QueryWrapper<>();
35
+        queryWrapper.orderByDesc("qz");
36
+
37
+        IPage<Banner> result = bannerService.page(pg);
38
+        return ResponseBean.success(result);
39
+    }
40
+
41
+    /**
42
+     * 增加
43
+     * @param Banner 实体对象
44
+     * @return
45
+     */
46
+    @RequestMapping(value="/banner",method= RequestMethod.POST)
47
+    public ResponseBean BannerAdd(@RequestBody Banner banner) throws Exception{
48
+
49
+        if (bannerService.save(banner)){
50
+            return ResponseBean.success(banner);
51
+        }else {
52
+            return ResponseBean.error("保存失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
53
+        }
54
+    }
55
+
56
+    /**
57
+     * 根据id删除对象
58
+     * @param id  实体ID
59
+     */
60
+    @RequestMapping(value="/banner/{id}", method= RequestMethod.DELETE)
61
+    public ResponseBean BannerDelete(@PathVariable Integer id) throws Exception{
62
+        if(bannerService.removeById(id)){
63
+            return ResponseBean.success("success");
64
+        }else {
65
+            return ResponseBean.error("删除失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
66
+        }
67
+    }
68
+
69
+    /**
70
+     * 修改对象
71
+     * @param id  实体ID
72
+     * @param Banner 实体对象
73
+     * @return
74
+     */
75
+    @RequestMapping(value="/banner/{id}",method= RequestMethod.PUT)
76
+    public ResponseBean BannerUpdate(@PathVariable Integer id,
77
+                                     @RequestBody Banner banner) throws Exception{
78
+        banner.setId(id);
79
+        if (bannerService.updateById(banner)){
80
+            return ResponseBean.success(bannerService.getById(id));
81
+        }else {
82
+            return ResponseBean.error("修改失败, 请重试", ResponseBean.ERROR_UNAVAILABLE);
83
+        }
84
+    }
85
+
86
+    /**
87
+     * 根据id查询对象
88
+     * @param id  实体ID
89
+     */
90
+    @RequestMapping(value="/banner/{id}",method= RequestMethod.GET)
91
+    public ResponseBean BannerId(@PathVariable Integer id) throws Exception{
92
+        return ResponseBean.success(bannerService.getById(id));
93
+    }
94
+}

+ 72
- 0
src/main/java/com/yunzhi/inte/controller/ImgVidController.java Visa fil

@@ -0,0 +1,72 @@
1
+package com.yunzhi.inte.controller;
2
+
3
+import org.springframework.web.bind.annotation.*;
4
+import org.springframework.web.multipart.MultipartFile;
5
+import javax.servlet.http.HttpServletResponse;
6
+import java.io.File;
7
+import java.io.FileInputStream;
8
+import java.io.IOException;
9
+import java.io.OutputStream;
10
+
11
+@RestController
12
+@RequestMapping("/")
13
+public class ImgVidController {
14
+    /**
15
+     * 图片上传。
16
+     *
17
+     * @param fileUpload
18
+     * @return JSONObject
19
+     */
20
+    @PostMapping(value = "/image/upload" )
21
+    @ResponseBody
22
+    public void imageUpload(@RequestParam("file") MultipartFile fileUpload) {
23
+
24
+        //获取文件名
25
+        String fileName = fileUpload.getOriginalFilename();
26
+        String tmpFilePath =  "E://image//"  ;
27
+
28
+        //没有路径就创建路径
29
+        File tmp = new File(tmpFilePath);
30
+        if (!tmp.exists()) {
31
+            tmp.mkdirs();
32
+        }
33
+        String resourcesPath = tmpFilePath + "//" + fileName;
34
+
35
+        File upFile = new File(resourcesPath);
36
+        try {
37
+            fileUpload.transferTo(upFile);
38
+        } catch (IOException e) {
39
+            e.printStackTrace();
40
+        }
41
+
42
+    }
43
+
44
+    /**
45
+     * 视频上传。
46
+     *
47
+     * @param fileUpload
48
+     * @return JSONObject
49
+     */
50
+    @PostMapping(value = "/video/upload" )
51
+    @ResponseBody
52
+    public void videoUpload(@RequestParam("file") MultipartFile fileUpload) {
53
+
54
+        //获取文件名
55
+        String fileName = fileUpload.getOriginalFilename();
56
+        String tmpFilePath =  "E://video//"  ;
57
+        //没有路径就创建路径
58
+        File tmp = new File(tmpFilePath);
59
+        if (!tmp.exists()) {
60
+            tmp.mkdirs();
61
+        }
62
+        String resourcesPath = tmpFilePath + "//" + fileName;
63
+        File upFile = new File(resourcesPath);
64
+        try {
65
+            fileUpload.transferTo(upFile);
66
+        } catch (IOException e) {
67
+            e.printStackTrace();
68
+        }
69
+
70
+    }
71
+}
72
+

+ 41
- 0
src/main/java/com/yunzhi/inte/controller/InfoController.java Visa fil

@@ -0,0 +1,41 @@
1
+package com.yunzhi.inte.controller;
2
+
3
+import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
4
+import com.baomidou.mybatisplus.core.metadata.IPage;
5
+import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
6
+import com.yunzhi.inte.common.ResponseBean;
7
+import com.yunzhi.inte.entity.Info;
8
+import com.yunzhi.inte.service.IInfoService;
9
+import org.apache.ibatis.annotations.Param;
10
+import org.slf4j.Logger;
11
+import org.slf4j.LoggerFactory;
12
+import org.springframework.beans.factory.annotation.Autowired;
13
+import org.springframework.web.bind.annotation.*;
14
+
15
+import java.util.List;
16
+
17
+@RestController
18
+@RequestMapping("/")
19
+public class InfoController {
20
+    private final Logger logger = LoggerFactory.getLogger(InfoController.class);
21
+
22
+    @Autowired
23
+    public IInfoService infoService;
24
+
25
+    /**
26
+     * 分页查询列表
27
+     * @param pageNum
28
+     * @param pageSize
29
+     * @return
30
+     */
31
+    @RequestMapping(value="/infopage",method= RequestMethod.GET)
32
+    public ResponseBean InfoPage(@RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
33
+                           @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception{
34
+        IPage<Info> pg = new Page<>(pageNum, pageSize);
35
+//        QueryWrapper<Info> queryWrapper = new QueryWrapper<>();
36
+//        queryWrapper.orderByDesc("create_date");
37
+
38
+        IPage<Info> result = infoService.page(pg);
39
+        return ResponseBean.success(result);
40
+    }
41
+}

+ 33
- 0
src/main/java/com/yunzhi/inte/entity/Banner.java Visa fil

@@ -0,0 +1,33 @@
1
+package com.yunzhi.inte.entity;
2
+
3
+import com.baomidou.mybatisplus.annotation.IdType;
4
+import com.baomidou.mybatisplus.annotation.TableId;
5
+import lombok.Data;
6
+import lombok.EqualsAndHashCode;
7
+import lombok.experimental.Accessors;
8
+import org.springframework.stereotype.Component;
9
+
10
+import java.io.Serializable;
11
+
12
+@Component
13
+@Data
14
+@EqualsAndHashCode(callSuper = false)
15
+@Accessors(chain = true)
16
+public class Banner implements Serializable {
17
+    private static final long serialVersionUID = 1L;
18
+
19
+    @TableId(value = "id",type = IdType.AUTO)
20
+    private  int id;
21
+
22
+    private String desc;
23
+
24
+    private String type;
25
+
26
+    private String image;
27
+
28
+    private String video;
29
+
30
+    private String qz;
31
+
32
+    private String state;
33
+}

+ 24
- 0
src/main/java/com/yunzhi/inte/entity/Info.java Visa fil

@@ -0,0 +1,24 @@
1
+package com.yunzhi.inte.entity;
2
+
3
+import com.baomidou.mybatisplus.annotation.IdType;
4
+import com.baomidou.mybatisplus.annotation.TableId;
5
+import lombok.Data;
6
+import lombok.EqualsAndHashCode;
7
+import lombok.experimental.Accessors;
8
+import org.springframework.stereotype.Component;
9
+
10
+import java.io.Serializable;
11
+
12
+@Component
13
+@Data
14
+@EqualsAndHashCode(callSuper = false)
15
+@Accessors(chain = true)
16
+public class Info implements Serializable {
17
+    private static final long serialVersionUID = 1L;
18
+
19
+    @TableId(value = "id",type = IdType.AUTO)
20
+    private  int id;
21
+
22
+    @TableId(value = "name")
23
+    private  String name;
24
+}

+ 10
- 0
src/main/java/com/yunzhi/inte/mapper/BannerMapper.java Visa fil

@@ -0,0 +1,10 @@
1
+package com.yunzhi.inte.mapper;
2
+
3
+import com.baomidou.mybatisplus.core.mapper.BaseMapper;
4
+import com.yunzhi.inte.entity.Banner;
5
+import com.yunzhi.inte.entity.Info;
6
+import org.apache.ibatis.annotations.Mapper;
7
+
8
+@Mapper
9
+public interface BannerMapper extends BaseMapper<Banner> {
10
+}

+ 12
- 0
src/main/java/com/yunzhi/inte/mapper/InfoMapper.java Visa fil

@@ -0,0 +1,12 @@
1
+package com.yunzhi.inte.mapper;
2
+
3
+import com.baomidou.mybatisplus.core.mapper.BaseMapper;
4
+import com.yunzhi.inte.entity.Info;
5
+import org.apache.ibatis.annotations.Mapper;
6
+import org.apache.ibatis.annotations.Param;
7
+
8
+import java.util.List;
9
+
10
+@Mapper
11
+public interface InfoMapper extends BaseMapper<Info> {
12
+}

+ 8
- 0
src/main/java/com/yunzhi/inte/service/BannerService.java Visa fil

@@ -0,0 +1,8 @@
1
+package com.yunzhi.inte.service;
2
+
3
+import com.baomidou.mybatisplus.extension.service.IService;
4
+import com.yunzhi.inte.entity.Banner;
5
+import com.yunzhi.inte.entity.Info;
6
+
7
+public interface BannerService extends IService<Banner> {
8
+}

+ 7
- 0
src/main/java/com/yunzhi/inte/service/IInfoService.java Visa fil

@@ -0,0 +1,7 @@
1
+package com.yunzhi.inte.service;
2
+
3
+import com.baomidou.mybatisplus.extension.service.IService;
4
+import com.yunzhi.inte.entity.Info;
5
+
6
+public interface IInfoService extends IService<Info> {
7
+}

+ 13
- 0
src/main/java/com/yunzhi/inte/service/impl/BannerServiceImpl.java Visa fil

@@ -0,0 +1,13 @@
1
+package com.yunzhi.inte.service.impl;
2
+
3
+import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
4
+import com.yunzhi.inte.entity.Banner;
5
+import com.yunzhi.inte.entity.Info;
6
+import com.yunzhi.inte.mapper.BannerMapper;
7
+import com.yunzhi.inte.mapper.InfoMapper;
8
+import com.yunzhi.inte.service.BannerService;
9
+import org.springframework.stereotype.Service;
10
+
11
+@Service
12
+public class BannerServiceImpl  extends ServiceImpl<BannerMapper, Banner> implements BannerService {
13
+}

+ 11
- 0
src/main/java/com/yunzhi/inte/service/impl/IInfoServiceImpl.java Visa fil

@@ -0,0 +1,11 @@
1
+package com.yunzhi.inte.service.impl;
2
+
3
+import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
4
+import com.yunzhi.inte.entity.Info;
5
+import com.yunzhi.inte.mapper.InfoMapper;
6
+import com.yunzhi.inte.service.IInfoService;
7
+import org.springframework.stereotype.Service;
8
+
9
+@Service
10
+public class IInfoServiceImpl extends ServiceImpl<InfoMapper, Info> implements IInfoService{
11
+}

+ 35
- 0
src/main/resources/application.yml Visa fil

@@ -0,0 +1,35 @@
1
+server:
2
+  port: 8087
3
+  servlet:
4
+    context-path: /api
5
+
6
+### ??????????
7
+spring:
8
+  datasource:
9
+    driver-class-name: org.sqlite.JDBC
10
+    url: jdbc:sqlite:E:/interface/yunzhi/demo/src/main/resources/db/ybai.db
11
+    username:
12
+    password:
13
+  application:
14
+    name: inte
15
+  mvc:
16
+    pathmatch:
17
+      matching-strategy: ANT_PATH_MATCHER
18
+
19
+  servlet:
20
+    multipart:
21
+      max-file-size: 50MB #设置允许单个文件上传的大小
22
+      max-request-size: 50MB #设置允许上传的总的文件的大小
23
+  ### sqlite??????????
24
+#  jpa:
25
+#    database-platform: com.restart1025.sqlite.SQLiteDialect
26
+#    hibernate:
27
+#      ddl-auto: update
28
+#    show-sql: true
29
+
30
+###
31
+mybatis-plus:
32
+  configuration:
33
+    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
34
+    call-setters-on-nulls: true
35
+  mapper-locations: classpath:mapper/**/*.xml

+ 4
- 0
src/main/resources/mapper/BannerMapper.xml Visa fil

@@ -0,0 +1,4 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
3
+<mapper namespace="com.yunzhi.inte.mapper.BannerMapper">
4
+</mapper>

+ 9
- 0
src/main/resources/mapper/InfoMapper.xml Visa fil

@@ -0,0 +1,9 @@
1
+<?xml version="1.0" encoding="UTF-8"?>
2
+<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
3
+<mapper namespace="com.yunzhi.inte.mapper.InfoMapper">
4
+    <select id="infopage" resultType="com.yunzhi.inte.entity.Info">
5
+        <bind name="pageNum" value="(pageNum-1)*pageSize"/>
6
+        select * from info
7
+        limit #{pageNum},#{pageSize}
8
+    </select>
9
+</mapper>

+ 13
- 0
src/test/java/com/yunzhi/inte/InteApplicationTests.java Visa fil

@@ -0,0 +1,13 @@
1
+package com.yunzhi.inte;
2
+
3
+import org.junit.jupiter.api.Test;
4
+import org.springframework.boot.test.context.SpringBootTest;
5
+
6
+@SpringBootTest
7
+class InteApplicationTests {
8
+
9
+	@Test
10
+	void contextLoads() {
11
+	}
12
+
13
+}